post
https://partner.gupshup.io/partner/app//v3/message
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Audio messages display an audio icon and a link to an audio file. When the WhatsApp user taps the icon, the WhatsApp client loads and plays the audio file.
Here you can send audio messages using this API.
Note:
- Use the
recipientparameter only when BSUID is enabled for the app.- When both
toandrecipientfields are used in the payload, thetofield gets the priority.
Request Parameters
| Key | Description | Value | Data type | Required/Optional | Constraints |
|---|---|---|---|---|---|
| Authorization | Access Token for the application | {{PARTNER_APP_TOKEN}} | String | Required | Should be a valid Partner App Access Token |
| appId | App ID to fetch the access token | {{APP_ID}} | String | Required | The ID should be a valid Gupshup app ID. |
| messaging_product | Messaging product | String | Required | ||
| recipient_type | Recipient type | individual | String | Required | |
| to | Destination phone number where the message needs to be sent | 91785876xxxx | String | Required (Can be optional if BSUID is enabled for the app and recipient parameter is used instead) | Must be a valid phone number |
| recipient | Destination BSUID where the message needs to be sent | IN.461449821882xxxx | String | Optional | Must be a valid BSUID |
| type | Messaging type | audio | String | Required | Type should be audio to send audio message. |
| audio | Add sticker body | "audio": { "id" : "798882015472548" } | Object | Required | Key should be audio to send audio message. |
Sample Request
curl --location --request POST 'https://partner.gupshup.io/partner/app/{{APP_ID}}/v3/message' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"messaging_product": "whatsapp",
"recipient_type": "individual",
"to": "{{WHATSAPP_USER_PHONE_NUMBER}}",
"recipient": "{{BSUID}}",
"type": "audio",
"audio": {
"id": "{{MEDIA_ID}}"
}
}'Sample Response
{
"messages": [
{
"id": "GUPSHUP_MESSAGE_ID"
}
],
"messaging_product": "whatsapp",
"contacts": [
{
"input": "DESTINATION_PHONE_NO",
"wa_id": "DESTINATION_PHONE_NO"
}
]
}
Status Codes
| Status Code | Response | Comments |
|---|---|---|
| Success | ||
| 200 | { "messages": [{"id": "GUPSHUP_MESSAGE_ID"}], | |
| Error | ||
| 400 | { "message": "Callback Billing must be enabled for this API","status": "error"} | if Callback billing is not enabled for the app |
| 400 | { "message": "Invalid App Details","status": "error"} | if app details are not found |
| 401 | { "status": "error","message": "Authentication Failed"} | When API key authentication fails |